
%
%  update_power_spectal_density.m  ver 1.4  by Tom Irvine
%

function[cell_array]=update_power_spectral_density()

            navmat_spec=   [ 20 	      0.01 
                            80 	      0.04 
                            350 	      0.04 
                            2000 	     0.007 ];
            output_name='navmat_spec';
            assignin('base', output_name, navmat_spec);

              smc_s_016=[20           0.0053         
                        150         0.04
                        800         0.04
                        2000       0.0064];
            output_name='smc_s_016';
            assignin('base', output_name, smc_s_016);
                


            vars = evalin('base', 'whos')
            cell_array = cell(size(vars));
            for i=1:length(vars)
                cell_array{i} ='999';
                if(contains(vars(i).name,'myHandle') || ...
                   contains(vars(i).name,'vname_list') || ...
                   contains(vars(i).name,'Dirlik_N') || ...
                   strcmp(vars(i).name,'coupling_loss_factor') || ...
                   strcmp(vars(i).name,'trans_loss_dB') || ...
                   strcmp(vars(i).name,'p32_liftoff_spl') || ...
                   strcmp(vars(i).name,'net_noise_reduction') || ...                   
                   strcmp(vars(i).name,'mode_1') || ...
                   strcmp(vars(i).name,'mode_2') || ...
                   strcmp(vars(i).name,'mode_3') || ...              
                   strcmp(vars(i).name,'mode_4') || ...
                   strcmp(vars(i).name,'mode_5') || ... 
                   strcmp(vars(i).name,'mode_6') || ...           
                   strcmp(vars(i).name,'two_dof_ModeShapes') || ...
                   strcmp(vars(i).name,'stress_th') || ...
                   strcmp(vars(i).name,'ans') || ...
                   contains(vars(i).name,'_trans_complex_node_') || ...
                   contains(vars(i).name,'beam_trans_') || ...
                   contains(vars(i).name,'radiation_resistance') || ...
                   contains(vars(i).name,'amp_cycles') || ...
                   contains(vars(i).name,'range_cycles') || ...
                   contains(vars(i).name,'amp_mean_cycles') || ...
                   contains(vars(i).name,'range_cycles_max_min')|| ...
                   strcmp(vars(i).name,'two_dof_mass') ||...
                   strcmp(vars(i).name,'point_mass_matrix') ||...
                   strcmp(vars(i).name,'dB_difference') ||...
                   strcmp(vars(i).name,'wavespeed') ||...
                   strcmp(vars(i).name,'power_dB') ||...
                   strcmp(vars(i).name,'modal_density') ||...
                   strcmp(vars(i).name,'mode1') ||...
                   strcmp(vars(i).name,'rad_eff') ||...
                   strcmp(vars(i).name,'acoustic_cavity_spl') ||...
                   strcmp(vars(i).name,'m1540_spl') ||...
                   strcmp(vars(i).name,'PLF_spl') ||...
                   strcmp(vars(i).name,'srs_spec') ||...
                   strcmp(vars(i).name,'radiation_efficiency') ||...
                   strcmp(vars(i).name,'total_loss_factor') ||...
                   strcmp(vars(i).name,'sine_sweep_transmissibility')||...
                   strcmp(vars(i).name,'avionics_module_liftoff_spl')||...
                   strcmp(vars(i).name,'vel_ps')||...
                   strcmp(vars(i).name,'PV_srs')||...
                   strcmp(vars(i).name,'crash_srs')||...
                   strcmp(vars(i).name,'FJ_source_26grpft')||...
                   contains(vars(i).name,'accel_trans_node_') ||...
                   contains(vars(i).name,'disp_trans_node_') ||...                   
                   contains(vars(i).name,'Hanning') ||...
                   contains(vars(i).name,'crash') ||...
                   contains(vars(i).name,'stress_SRS') ||...
                    contains(vars(i).name,'transmission_loss') || ...
                    contains(vars(i).name,'cylindrical_shell_modal_overlap') || ...
                    contains(vars(i).name,'equipment_shelf_modal_overlap') || ...
                    contains(vars(i).name,'external_to_cylinder_power') || ...
                    contains(vars(i).name,'cylinder_to_cavity_power') || ...
                    contains(vars(i).name,'cylinder_to_shelf_power') || ...
                    contains(vars(i).name,'cavity_to_shelf_power') || ...
                    contains(vars(i).name,'shelf_to_cavity_power') || ...
                    contains(vars(i).name,'cylindrical_shell_modal_dens') || ...
                    contains(vars(i).name,'acoustic_cavity_modal_dens') || ...
                    contains(vars(i).name,'equipment_shelf_modal_dens') || ...
                    contains(vars(i).name,'cylindrical_shell_rad_eff') || ...
                    contains(vars(i).name,'equipment_shelf_rad_eff') || ...
                    contains(vars(i).name,'cylindrical_shell_dlf') || ...
                    contains(vars(i).name,'acoustic_cavity_dlf') || ...
                    contains(vars(i).name,'equipment_shelf_dlf') || ...
                    contains(vars(i).name,'cylinder_to_cavity_clf') || ...
                    contains(vars(i).name,'cylinder_to_shelf_clf') || ...
                    contains(vars(i).name,'cavity_to_shelf_clf') || ...
                    contains(vars(i).name,'shelf_to_cavity_clf') || ...
                    contains(vars(i).name,'cylindrical_shell_energy') || ...
                    contains(vars(i).name,'acoustic_cavity_energy') || ...
                    contains(vars(i).name,'equipment_shelf_energy') || ...
                    contains(vars(i).name,'vname_list') || ...
                    contains(vars(i).name,'vafb_1p') || ...
                    contains(vars(i).name,'velocity_spectrum') || ...
                    strcmp(vars(i).name,'accel_ps') || ...
                    contains(vars(i).name,'accel_spectrum') || ...
                    contains(vars(i).name,'pink_spectrum') || ...
                    contains(vars(i).name,'force_pink_noise_rms') || ...
                    contains(vars(i).name,'liftoff_Lwb') || ...                 
                   strcmp(vars(i).name,'sz'))          

                   cell_array{i} ='999';
                else    
                    ggg=evalin('base',vars(i).name);
                    sz=size(ggg);

                    try
                        mint2=min(ggg(:,2));
                        maxt2=max(ggg(:,2));

                        fprintf(' %s  %8.4g  %8.4g  %d  \n',vars(i).name,mint2,maxt2,sz(2))
    
                        if(sz(2)==2 && mint2>=0 && maxt2<=1e+16)
                            cell_array{i} = vars(i).name;
                        else
                            cell_array{i} ='999';
                        end
                    catch
                        cell_array{i} ='999';
                    end    
                end    
            end
            for i=length(vars):-1:1
                if(contains(cell_array{i},'999'))
                    cell_array(i,:)=[];
                end
            end         